<?php

/**
* Типик форума
* @author Mykhaylo Yatsyshyn
* @package Dk-game.ru
* version 1.0
* 17:56 20.04.15
*/


$fonts = array ('','#ECEF3A','#EF543A','#4DE137','','#15DEFF');
$load=array('f_time');
$paginate = 1;
$title = "Форум";
include_once '../protected/sys.php';
if (!$user)
{
	header("Location:/");
	exit;
}
if(isset($_GET['ok'])){
$id=intval($_GET['id']);
			$text=htmlspecialchars($_POST['text']);
			$name=htmlspecialchars($_POST['name']);
			$set = $db->query("INSERT INTO `forum_topic` SET `author`=?, `text`=?,`time`=?, `time_update`=?, `name`=?, `category`=?", array($user['id'],$text,time(),time(),$name,$id));
			$last=$db->last();
			header("Location: topic.php?id=".$last);
	
}
	echo "<div class='menu'>";
$id=intval($_GET['id']);
	$rows=$db->rows("SELECT * FROM `forum_category` WHERE `id`=?",array($id));
	if($rows==0){
	$_SESSION['error']="Неверная категория";
	header("Location:/");
	exit;
		} else {
			if ($user['close'] == 1)
{
	?>
	<div class ='menu'/>
		<span class ='grey2'/>
			Для Вас теперь чат и форум в режиме чтения...
		</span>
	</div>
	<?php
}else{
			echo "<form action='?id=".$id."&ok' method='POST'>";
			echo "<Input type='text' class='input' style = 'width:90%;'  required name='name' placeholder='Название'>";
			echo "<textarea name='text' class='input' rows='5' cols='34'></textarea></br>";
			echo '<button><span class="ubtn inbl green"><span class="ul"><span class="ur">Отправить</span></span></span></button>';
			echo "</form>";
		}
	}
 


echo "</div>";
include_once $config['root'].'/protected/footermain.php';
?>






